> ## Documentation Index
> Fetch the complete documentation index at: https://docs.auctionnow.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get merchant public profile

> Get a merchant's public profile and theme/branding data by handle



## OpenAPI

````yaml https://api.auctionnow.io/api/alpha/doc get /alpha/public/merchants/{handle}
openapi: 3.0.0
info:
  version: alpha
  title: Auction Now API
servers:
  - url: https://api.auctionnow.io/api
    description: Production API
security: []
paths:
  /alpha/public/merchants/{handle}:
    get:
      tags:
        - Merchants
      summary: Get merchant public profile
      description: Get a merchant's public profile and theme/branding data by handle
      parameters:
        - schema:
            type: string
            description: The merchant's handle
          required: true
          description: The merchant's handle
          name: handle
          in: path
      responses:
        '200':
          description: Merchant public profile
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      handle:
                        type: string
                        description: The merchant's unique handle
                      shopName:
                        type: string
                        nullable: true
                        description: The merchant's shop name
                      theme:
                        type: object
                        nullable: true
                        properties:
                          primaryColor:
                            type: string
                            description: Primary brand color (hex)
                          accentColor:
                            type: string
                            description: Accent brand color (hex)
                          font:
                            type: string
                            enum:
                              - inter
                              - manrope
                              - roboto
                              - open_sans
                            description: Brand font family
                          fontSize:
                            type: number
                            description: Base font size
                          showPoweredBy:
                            type: boolean
                            description: Whether to show the Powered By badge
                        required:
                          - primaryColor
                          - accentColor
                          - font
                          - fontSize
                        description: Theme and branding settings
                      logo:
                        type: string
                        nullable: true
                        description: URL to the merchant's logo image
                    required:
                      - handle
                      - shopName
                      - theme
                      - logo
                    description: The merchant's public profile
                  message:
                    type: string
                  timestamp:
                    type: number
                required:
                  - data
                  - timestamp
        '400':
          description: Bad Request - Validation error or invalid input
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  error:
                    anyOf:
                      - type: string
                      - type: object
                        properties:
                          errors:
                            type: array
                            items:
                              type: string
                          properties:
                            type: object
                            properties:
                              data:
                                type: object
                                properties:
                                  errors:
                                    type: array
                                    items:
                                      type: string
                                  properties:
                                    type: object
                                    additionalProperties:
                                      type: object
                                      properties:
                                        errors:
                                          type: array
                                          items:
                                            type: string
                                      required:
                                        - errors
                                required:
                                  - errors
                                  - properties
                            required:
                              - data
                        required:
                          - errors
                          - properties
                required:
                  - message
                  - error
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  reason:
                    type: string
                required:
                  - error
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error

````